%define name gpointing-device-settings
%define version 1.5.1
%define release %mkrel 1
%define __libtoolize  /bin/true

Summary:        Configuration tool for pointing devices
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Graphical desktop/GNOME 
License:        LGPLv3+
URL:            http://live.gnome.org/GPointingDeviceSettings
Source0:        http://sourceforge.jp/projects/gsynaptics/downloads/45812/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  pkgconfig
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext
BuildRequires:  intltool >= 0.35.0
BuildRequires:  GConf2-devel
BuildRequires:  libxi-devel
BuildRequires:  gtk2-devel >= 2.14.0
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-settings-daemon-devel
Requires:       gnome-settings-daemon
Obsoletes:      gsynaptics < 0.9.16
Provides:       gsynaptics = %{version}-%{release}


%description
GUI tool for setting pointing device such as TrackPoint or Touchpad. It
allows configuring of various drivers parameters on the fly.
It is a successor of GSynaptics.


%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description devel
Development headers and libraries for %{name}.


%prep
%setup -q


%build
%configure2_5x \
        --disable-static \
        --disable-schemas-install \
        --disable-dependency-tracking

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Hardware" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%define schemas gpointing-device-settings_gnome_settings_daemon

%clean
rm -rf $RPM_BUILD_ROOT


%post devel -p /sbin/ldconfig


%postun devel -p /sbin/ldconfig


%post 
%post_install_gconf_schemas %{schemas}
%{update_menus}

%postun 
%{clean_menus}

%preun 
%preun_uninstall_gconf_schemas %{schemas}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc NEWS TODO MAINTAINERS COPYING
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/gpointing-device-settings
%{_libdir}/gnome-settings-daemon-2.0/*
%{_libdir}/gpointing-device-settings/
%{_datadir}/gpointing-device-settings/
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.bz2
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Mon Apr 19 2010 slick50 <lxgator@gmail.com> 1.5.1-1pclos2010
- initial pkg
